/* unix2dos.c for DOS release preparation.
   Contributed by Steve Chamberlain (sac@cygnus.com).

Copyright (C) 1995 Free Software Foundation, Inc.

The GNU DOS tools are free software; you can redistribute them and/or modify
them under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

The GNU DOS tools are distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GNU CC; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

#include <stdio.h>

int
main(ac, av)
int ac;
char *av[];
{
  FILE *in;
  FILE *out;
  int ch;

  if (ac != 3) 
    {
      fprintf(stderr,"%s: Usage %s in out\n",
	      av[0], av[0]);
      return 1;
    }

  in  = fopen (av[1],"r");
  out = fopen (av[2],"w");
  if (!in)
    {
      fprintf(stderr,"%s: Can't open input file %s\n",    av[0], av[1]);
      return 1;
    }
  if (!out)
    {
      fprintf(stderr,"%s: Can't open output file %s\n",    av[0], av[1]);
      return 1;
    }

  ch = fgetc (in);
  while (ch != EOF)
    {
      if (ch == '\n')
	fputc('\r', out);
      fputc(ch, out);

      ch = fgetc (in);
    }

  fclose (in);
  fclose (out);
  return 0;
}
